# Uses of Class
jspecview.common.PrintLayout

Packages that use PrintLayout
Package
Description
jspecview.api
jspecview.common
jspecview.java
jspecview.js2d

## Uses of PrintLayout in jspecview.api

Methods in jspecview.api that return PrintLayout
Modifier and Type
Method
Description
`PrintLayout`
JSVPrintDialog.`getPrintLayout()`
Methods in jspecview.api with parameters of type PrintLayout
Modifier and Type
Method
Description
`void`
JSVPdfWriter.`createPdfDocument(JSVPanel panel, PrintLayout pl, OutputStream os)`
`void`
JSVPanel.`printPanel(PrintLayout pl, OutputStream os, String printJobTitle)`
`JSVPrintDialog`
JSVPrintDialog.`set(JFrame offWindowFrame, PrintLayout lastPrintLayout, boolean isJob)`

## Uses of PrintLayout in jspecview.common

Methods in jspecview.common that return PrintLayout
Modifier and Type
Method
Description
`PrintLayout`
JSViewer.`getPrintLayout(boolean isJob)`
Methods in jspecview.common with parameters of type PrintLayout
Modifier and Type
Method
Description
`void`
PDFWriter.`createPdfDocument(JSVPanel panel, PrintLayout pl, OutputStream os)`
`void`
PanelData.`printPdf(GenericGraphics pdfCreator, PrintLayout pl)`
from jspecview.export.PDFCreator -- does not use iText --
`void`
PanelData.`setDefaultPrintOptions(PrintLayout pl)`
`void`
PanelData.`setPrint(PrintLayout pl, String fontName)`

## Uses of PrintLayout in jspecview.java

Methods in jspecview.java that return PrintLayout
Modifier and Type
Method
Description
`PrintLayout`
AwtPrintDialog.`getPrintLayout()`
Returns the PrintLayout object
Methods in jspecview.java with parameters of type PrintLayout
Modifier and Type
Method
Description
`void`
AwtPanel.`printPanel(PrintLayout pl, OutputStream os, String title)`
Send a print job of the spectrum to the default printer on the system
`AwtPrintDialog`
AwtPrintDialog.`set(JFrame frame, PrintLayout pl, boolean isJob)`
Initialises a modal `PrintLayoutDialog` with a default title of "Print Layout".

## Uses of PrintLayout in jspecview.js2d

Methods in jspecview.js2d with parameters of type PrintLayout
Modifier and Type
Method
Description
`void`
JsPanel.`printPanel(PrintLayout pl, OutputStream os, String title)`
Send a print job of the spectrum to the default printer on the system